#pragma once

#define DEBUGOUT(x) fprintf(stderr, "%s:%d: %s\n", __FILE__, __LINE__, (x))

// This replaces the BMDS ERRORPRT() function call
#define MY_ERROR(x); {						\
  fprintf(stderr, "\n%s:%d: %s\n", __FILE__, __LINE__, (x));	\
  fprintf(fp_out, "\n%s:%s: %s\n", __FILE__, __LINE__, (x));	\
  fflush(stderr); fflush(fp_out);                               \
  exit(0);                                                      \
}

/* Function declarations */
void myPrintText(FILE *fp, const char *pText);
void myPrintInitParms(FILE *fp, int nparm, int Spec[], double Parms[], char *tparms[]);
void myErrorPrt(FILE *fp, const char *text);
void myWarning(FILE *fp, const char *text);
void myOUTPUT_DTMS3PARMS (int nparm, int Spec[], int bounded[], double Parms[],
			  char *tparms[], double **vcv, int print_SE);
void myGet_and_OUTPUT_DTMSVCV (int nparm, int Spec[], char *parmtxt[],
			       double **vcv, double **vcv_adj, int *bounded);
void myOUTPUT_DTMS3ANOVA (char *anatxt[], AnaList anasum[]);
void myOUTPUT_BENCHMD (int pdcol, double BMD);
